
#include <bindings.cmacros.h>
#include <stdio.h>
#include <gts.h>

BC_INLINE3(GTS_CHECK_VERSION,guint,guint,guint,gboolean)
BC_INLINE3(gts_point_is_in_rectangle,GtsPoint*,GtsPoint*,GtsPoint*,gboolean)
BC_INLINE1(g_slist_next,GSList*,GSList*)
BC_INLINE1(gts_edge_is_unattached,GtsEdge*,gboolean)

void gts_surface_destroy(GtsSurface* s) {
  gts_object_destroy(GTS_OBJECT(s));
}

void gts_triangle_destroy(GtsTriangle *t) {
  gts_object_destroy(GTS_OBJECT(t));
}

void gts_vertex_destroy(GtsVertex *v) {
  gts_object_destroy(GTS_OBJECT(v));
}

gint gts_triangle_revert_func(gpointer a,gpointer b) {
   gts_triangle_revert(a);
   return 0;
}
